Package org.zkoss.stateless.sul

## Enum IButtonBase.Type

- java.lang.Object
- - java.lang.Enum<IButtonBase.Type>
  - - org.zkoss.stateless.sul.IButtonBase.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IButtonBase.Type>`
  Enclosing interface:
    IButtonBase<I extends IButtonBase>

      public static enum IButtonBase.Type
      extends java.lang.Enum<IButtonBase.Type>

  Specifies the type with `IButtonBase.withType(Type)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BUTTON` | The normal button type.
    `RESET` | The reset button type.
    `SUBMIT` | The submit button type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IButtonBase.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IButtonBase.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUTTON

          public static final IButtonBase.Type BUTTON

      The normal button type.

    - #### SUBMIT

          public static final IButtonBase.Type SUBMIT

      The submit button type.

    - #### RESET

          public static final IButtonBase.Type RESET

      The reset button type.

  - ### Method Detail

    - #### values

          public static IButtonBase.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IButtonBase.Type c : IButtonBase.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IButtonBase.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null